Skip to main content
PUT
/
calendars
/
events
/
block-slots
/
{eventId}
Update Block Slot
curl --request PUT \
  --url https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "title": "Test Event",
  "assignedUserId": "CVokAlI8fgw4WYWoCtQz",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30"
}
'
{
  "id": "0TkCdp9PfvLeWKYRRvIz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "title": "My event",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30",
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

eventId
string
required

Event Id or Instance id. For recurring appointments send masterEventId to modify original series.

Body

application/json
calendarId
string
required

Either calendarId or assignedUserId can be set, not both.

Example:

"CVokAlI8fgw4WYWoCtQz"

locationId
string
required

Location Id

Example:

"C2QujeCh8ZnC7al2InWR"

title
string

Title

Example:

"Test Event"

assignedUserId
string

Either calendarId or assignedUserId can be set, not both.

Example:

"CVokAlI8fgw4WYWoCtQz"

startTime
string

Start Time

Example:

"2021-06-23T03:30:00+05:30"

endTime
string

End Time

Example:

"2021-06-23T04:30:00+05:30"

Response

Successful response

id
string
required

Id

Example:

"0TkCdp9PfvLeWKYRRvIz"

locationId
string
required

Location Id

Example:

"C2QujeCh8ZnC7al2InWR"

title
string
required

Title

Example:

"My event"

startTime
object
required

Start Time

Example:

"2021-06-23T03:30:00+05:30"

endTime
object
required

End Time

Example:

"2021-06-23T04:30:00+05:30"

calendarId
string

Calendar id

Example:

"CVokAlI8fgw4WYWoCtQz"

assignedUserId
string

Assigned User Id

Example:

"0007BWpSzSwfiuSl0tR2"

Last modified on March 4, 2026